# react-native-rfid-ble

Scan and read from RFID devices using BLE

## Installation

```sh
npm install react-native-rfid-ble
```

## Usage

```js
import RfidBle from '@softwaresamm/react-native-rfid-ble'

RfidBle.on(
  RfidBleEvent.READER_RECEIVED,
  async reader => {
    console.log('Reader scanned:', reader)

    await RfidBle.connectToReader(reader.address)

    RfidBle.on(
      RfidBleEvent.EPC_REPLIES_READ,
      epcReplies => {
        console.log('EPC replies:', epcReplies)
      }
    )
  }
)

// Auto-scan for 10 seconds (10 * 1000ms)
await RfidBle.autoScan(10000)
```

## Contributing

See the [contributing guide](CONTRIBUTING.md) to learn how to contribute to the repository and the development workflow.

## License

MIT
